SystemOrganization addCategory: #'CS528-UT3Server'!

Object subclass: #UT3TextServer
	instanceVariableNames: 'gameBoard'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-UT3Server'!

!UT3TextServer commentStamp: '<historical>' prior: 0!
An UT3TextServer is an object that is used to play the tic-tac-ten game via text I/O

Instance Variables
	gameBoard:		<Object>

gameBoard
	- xxxxx
!

!UT3TextServer class methodsFor: 'instance creation' stamp: 'JonathanOsting 7/3/2013 00:04'!
newFrom: board
	"create a new instance of the text server"
	^self new gameBoard: board! !

!UT3TextServer methodsFor: 'accessing' stamp: 'JonathanOsting 7/3/2013 00:05'!
gameBoard: board
	"set the game board"
	gameBoard := board! !

!UT3TextServer methodsFor: 'accessing' stamp: 'JonathanOsting 7/3/2013 00:23'!
printBoard: aStream
	gameBoard printOn: aStream ! !

!UT3TextServer methodsFor: 'accessing' stamp: 'JonathanOsting 7/3/2013 00:19'!
printHeader: aStream
	aStream nextPutAll: '------------------------------------'; cr.
	aStream nextPutAll: 'Round: '.
	aStream nextPut: gameBoard getRound.
	aStream nextPutAll: ' Player '.
	aStream nextPut: gameBoard getCurrentPlayer.
	aStream nextPutAll: '''s Move'; cr.
	aStream nextPutAll: '------------------------------------'; cr.! !

Object subclass: #UT3WebServer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-UT3Server'!
